@base <https://purl.org/coscine/ap/qudt/quantitykind/VolumeFraction/> .

@prefix dcterms: <http://purl.org/dc/terms/>.
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#> .
@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix qudt: <http://qudt.org/schema/qudt/> .
@prefix unit: <http://qudt.org/vocab/unit/> .
@prefix coscinetype: <https://purl.org/coscine/terms/types#> .

<https://purl.org/coscine/ap/qudt/quantitykind/VolumeFraction/>
  a sh:NodeShape, rdfs:Class, coscinetype:Module ;
  dcterms:created "2023-10-12"^^xsd:date;
  dcterms:modified "2023-10-19"^^xsd:date;
  dcterms:creator "Benedikt Heinrichs";
  dcterms:description "Profil für alle Einheiten, die eine Volume Fraction sind."@de,
    "Profile for all units that are a/an Volume Fraction."@en;
  dcterms:license "https://spdx.org/licenses/CC-BY-4.0.html";
  dcterms:title "Einheit: Volume Fraction"@de,
    "Unit: Volume Fraction"@en;

  sh:property
    [
      sh:path qudt:unit ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:name "Unit"@en , "Einheit"@de ;
      sh:in ( unit:CentiM3-PER-CentiM3 unit:CentiM3-PER-M3 unit:DeciM3-PER-M3 unit:L-PER-L unit:M3-PER-M3 unit:MicroL-PER-L unit:MicroM3-PER-M3 unit:MicroM3-PER-MilliL unit:MilliL-PER-L unit:MilliL-PER-M3 unit:MilliM3-PER-M3 ) ;
    ] ;
  sh:property
    [
      sh:path qudt:value ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:datatype xsd:decimal ;
      sh:name "Value"@en , "Wert"@de ;
      sh:description "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
      sh:message "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
    ] ;
.

unit:CentiM3-PER-CentiM3 rdfs:label "Cubic Centimeter Per Cubic Centimeter"@en-us, "Cubic Centimetre Per Cubic Centimetre"@en .
unit:CentiM3-PER-M3 rdfs:label "Cubic Centimeter Per Cubic Meter"@en-us, "Cubic Centimetre Per Cubic Metre"@en .
unit:DeciM3-PER-M3 rdfs:label "Cubic Decimeter Per Cubic Meter"@en-us, "Cubic Decimetre Per Cubic Metre"@en .
unit:L-PER-L rdfs:label "Liter Per Liter"@en-us, "Litre Per Litre"@en .
unit:M3-PER-M3 rdfs:label "Cubic Meter Per Cubic Meter"@en-us, "Cubic Metre Per Cubic Metre"@en .
unit:MicroL-PER-L rdfs:label "Microlitre Per Liter"@en-us, "Microlitre Per Litre"@en .
unit:MicroM3-PER-M3 rdfs:label "Cubic Microns Per Cubic Metre"@en .
unit:MicroM3-PER-MilliL rdfs:label "Cubic Microns Per Millilitre"@en .
unit:MilliL-PER-L rdfs:label "Millilitre Per Liter"@en-us, "Millilitre Per Litre"@en .
unit:MilliL-PER-M3 rdfs:label "Millilitre Per Cubic Meter"@en-us, "Millilitre Per Cubic Metre"@en .
unit:MilliM3-PER-M3 rdfs:label "Cubic Millimeter Per Cubic Meter"@en-us, "Cubic Millimetre Per Cubic Metre"@en .
